Bug 850242 - Introduce new systemd-rpm macros in opendnssec spec file
Introduce new systemd-rpm macros in opendnssec spec file
Product: Fedora
Classification: Fedora
Component: opendnssec (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
Depends On:
Blocks: 850016
  Show dependency treegraph
Reported: 2012-08-21 09:54 EDT by Lukáš Nykrýn
Modified: 2012-12-20 10:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-20 10:17:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:54:29 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-26 22:13:38 EDT
opendnssec-1.4.0-0.3.b1.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2012-12-20 10:17:10 EST
opendnssec-1.4.0-0.3.b1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.